Bug 1883 - globus_ftp_contol server does not decode ADAT properly.
: globus_ftp_contol server does not decode ADAT properly.
Status: RESOLVED FIXED
: GridFTP
GridFTP
: 3.2.1
: PC Linux
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2004-08-11 17:33 by
Modified: 2005-12-01 23:13 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-08-11 17:33:35
In globus_ftp_control_server.c in function globus_l_ftp_control_auth_cb()
before
call to function globus_i_ftp_control_radix_decode() there is a line:
    length = recv_tok.length;
. That should probably go after call to globus_i_ftp_control_radix_decode() and
should look like
    recv_tok.length = length;
. Otherwise token passed to gss_accept_sec_context is always empty.
------- Comment #1 From 2004-10-06 12:15:22 -------
Just noticed a typo in a name of function. It should be 
globus_l_ftp_control_auth_read_cb().
------- Comment #2 From 2004-10-25 10:17:59 -------
Thanks, I'll get this in and an update package out this week.
------- Comment #3 From 2005-12-01 23:13:08 -------
This fix was released with GT4.0